package  org.ts.ddcs.tools;

import java.util.Random;
import java.util.UUID;

public class ToolHelp {
    public static  String getRootPath(Object mainClass) {
        String path = mainClass.getClass().getProtectionDomain().getCodeSource().getLocation().getPath();
        if (System.getProperty("os.name").contains("dows")) {
            path = path.substring(1, path.length());
        }
        if (path.contains("jar")) {
            path = path.substring(0, path.lastIndexOf("."));
            return path.substring(0, path.lastIndexOf("/"));
        }
        return path.replace("target/classes/", "");
    }


    /**
     * 返回长度为【strLength】的随机数，在前面补0
     * @param strLength 长度
     * @return 随机数
     */
    public static String getFixLengthString(int strLength) {
        Random rm = new Random();
        // 获得随机数
        double pross = (1 + rm.nextDouble()) * Math.pow(10, strLength);
        // 将获得的获得随机数转化为字符串
        String fixLengthString = String.valueOf(pross);
        // 返回固定的长度的随机数
        return fixLengthString.substring(1, strLength + 1);
    }


    public static String randomUUID(){
        return UUID.randomUUID().toString().replace("-", "").toLowerCase();
    }
}
